EPD Extension Kit for MSP430 LaunchPad

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
Uart_Controller.c File Reference

The functions to control and return system packets. More...

`#include "EPD_Kit_Tool_Process.h"`
`#include "Uart_Driver.h"`
`#include "Uart_Controller.h"`

## Functions
void | poll_system_packet_buffer (void)
| Polling data from system packet buffer.
void | return_system_packets (system_packets_t *packet)
| Return system packet. More...
void | return_packets (system_packets_t *packet, uint8_t *data, uint8_t len)
| Return system packet result. More...
void | return_system_packet_result (system_packets_t *packet, uint8_t result)
| Return system packet result. More...
void | data_controller_init (receive_packets_event OnRxPacketEvent)
| Initialize the UART data buffer and trigger receiving (Rx) packets. More...

## Detailed Description

The functions to control and return system packets.

Copyright (c) 2012-2013 Pervasive Displays Inc. All rights reserved.

Authors: Pervasive Displays Inc.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

## Function Documentation

void data_controller_init | ( | receive_packets_event | OnRxPacketEvent | ) |

Initialize the UART data buffer and trigger receiving (Rx) packets.

Parameters

  receive_packets_event | For trigger Rx packet

void return_packets | ( | system_packets_t * | packet,
|  | uint8_t * | data,
|  | uint8_t | len
| ) |  |

Return system packet result.

Parameters

  packet | The address pointer of system packet
  data | The data byte will return
  len | The length of return data packet

void return_system_packet_result | ( | system_packets_t * | packet,
|  | uint8_t | result
| ) |  |

Return system packet result.

Parameters

  packet | The address pointer of system packet
  result | Success or failure

void return_system_packets | ( | system_packets_t * | packet | ) |

Return system packet.

Parameters

  packet | The address pointer of system packet that will return